.ncf-container {
    font-size: 14px;
    box-sizing: border-box;
    position: fixed;
    z-index: 999999
}

    .ncf-container.nfc-top-left {
        top: 12px;
        left: 12px
    }

    .ncf-container.nfc-top-right {
        top: 12px;
        right: 12px
    }

    .ncf-container.nfc-bottom-right {
        bottom: 12px;
        right: 12px
    }

    .ncf-container.nfc-bottom-left {
        bottom: 12px;
        left: 12px
    }

@media (max-width:767px) {
    .ncf-container {
        left: 0;
        right: 0
    }
}

.ncf-container .ncf {
    background: #fff;
    transition: .3s ease;
    position: relative;
    pointer-events: auto;
    overflow: hidden;
    margin: 0 0 6px;
    padding: 15px 15px 15px 30px;
    width: 400px;
    border-radius: 3px 3px 3px 3px;
    box-shadow: 0 0 12px #999;
    color: #000;
    background-repeat: no-repeat !important;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}

    .ncf-container .ncf:hover {
        box-shadow: 0 0 12px #000;
        cursor: pointer
    }

    .ncf-container .ncf .ncf-title {
        font-weight: 700;
        font-size: 16px;
        text-align: left;
        margin-top: 0;
        margin-bottom: 6px;
        word-wrap: break-word
    }

    .ncf-container .ncf .nfc-message {
        margin: 0;
        text-align: left;
        word-wrap: break-word
    }

.ncf-container .success {
    color: #fff;    
    background: rgb(1,183,170);
    background: linear-gradient(90deg, rgba(1,183,170,1) 0%, rgba(41,222,92,1) 100%);
}

.ncf-container .info {
    color: #fff;
    background: rgb(1,96,183);
    background: linear-gradient(90deg, rgba(1,96,183,1) 0%, rgba(41,124,222,1) 100%);
}

.ncf-container .warning {
    color: #fff;
    background: rgb(183,98,1);
    background: linear-gradient(90deg, rgba(183,98,1,1) 0%, rgba(222,144,41,1) 100%);
}

.ncf-container .error {
    color: #fff;
    background: rgb(183,1,32);
    background: linear-gradient(90deg, rgba(183,1,32,1) 0%, rgba(222,41,41,1) 100%);
}

.ncf-container button {
    position: relative;
    right: -.3em;
    top: -.3em;
    float: right;
    font-weight: 700;
    color: #fff;
    text-shadow: 0 1px 0 #fff;
    opacity: .8;
    line-height: 1;
    font-size: 16px;
    padding: 0;
    cursor: pointer;
    background: transparent;
    border: 0
}

    .ncf-container button:hover {
        opacity: 1
    }
